<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */
use Akeeba\TicketSystem\Admin\Helper\Editor;
use Akeeba\TicketSystem\Admin\Model\ManagerNotes;

defined('_JEXEC') or die;

/** @var FOF30\View\DataView\Html $this */

if (!isset($quickreply)) $quickreply = !($this->item instanceof ManagerNotes);
if (!isset($ats_ticket_id)) $ats_ticket_id = isset($this->item->ats_ticket_id) ? $this->item->ats_ticket_id : 0;
if (!isset($ats_managernote_id)) $ats_managernote_id = isset($this->item->ats_managernote_id) ? $this->item->ats_managernote_id : 0;
if (!isset($returnURL)) $returnURL = $this->input->getString('returnurl', null);

$hasNote = isset($this->item) && $this->item instanceof ManagerNotes;
?>
@css('media://com_ats/css/frontend.css', $this->getContainer()->mediaVersion)

<div class="ats-ticket-replyarea">
    <form action="@route('index.php?option=com_ats&view=ManagerNotes')" method="post" {{ $quickreply ? '' : 'name="adminForm" id="adminForm"' }}>

        <div class="ats-ticket-replyarea-content bbcode">
            @if(\Akeeba\TicketSystem\Admin\Helper\Editor::isEditorBBcode())
                @atsEditor('note', 'bbcodemn', $hasNote ? $this->item->note : '','95%', 400, 80, 20, ['cannedreplies' => false, 'buckets' => false])
            @else
                @atsEditor('note_html', 'ats-note', $hasNote ? $this->item->note_html : '','95%', 400, 80, 20, ['cannedreplies' => false, 'buckets' => false])
            @endif
        </div>
        <div class="ats-clear"></div>

        <div class="ats-ticket-replyarea-postbutton">
            <input class="akeeba-btn--primary" type="submit" value="@lang('COM_ATS_MANAGERNOTES_MSG_POST')" />
        </div>

        <input type="hidden" name="option" value="com_ats" />
        <input type="hidden" name="view" value="ManagerNotes" />
        <input type="hidden" name="task" value="save" />
        <input type="hidden" name="ats_ticket_id" value="{{ $ats_ticket_id }}" />
        <input type="hidden" name="ats_managernote_id" value="{{ $ats_managernote_id }}" />
        <input type="hidden" name="@token(true)" value="1" />
        @if(isset($returnURL))
            <input type="hidden" name="returnurl" value="{{ $returnURL }}" />
        @endif
    </form>
</div>
